%bcond_without check
%global debug_package %{nil}

%global goipath         github.com/ebitengine/purego
Version:                0.3.2

%gometa


%global common_description %{expand:
A library for calling C functions from Go without Cgo.}

%global golicenses      LICENSE
%global godocs          examples README.md

Name:           %{goname}
Release:    1%{?dist}
Summary:        A library for calling C functions from Go without Cgo

License:        Apache-2.0
URL:            %{gourl}
Source0:         %{gosource}

ExcludeArch:    ppc64le s390x

%description %{common_description}

%gopkg

%prep
%goprep
%autopatch -p1

%generate_buildrequires
%go_generate_buildrequires

%install
%gopkginstall

%if %{with check}
%check
%gocheck
%endif

%gopkgfiles

%changelog
* Mon Aug 19 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - -1
- initial build
